ANN: Phatch = PHoto bATCH processor and renamer based on PIL

Steve Holden steve at holdenweb.com
Tue Feb 19 23:04:55 CET 2008


Wolfgang Strobl wrote:
> "SPE - Stani's Python Editor" <spe.stani.be at gmail.com>:
> 
>> I develop Phatch on Ubuntu/Linux, but I have tested and polished it
>> regularly on Windows and Mac Os X. (Only the droplet functionality
>> needs to be ported.) Phatch is submitted to Debian unstable and
>> Ubuntu Hardy. Packagers for other platforms are welcome.
>>
>> Requirements:
>> - PIL 1.1.5 or higher
>> - wxPython 2.6 or higher
>> - pyexiv2 (optional)
>> - python nautilus bindings (optional)
> 
> Hm. I just gave it a try on Windows, but in vain. See below.
> 
> C:\build\phatch-0.1.bzr385>python setup.py install
> 
> just says
> 
> Sorry your platform is not yet supported.
> 
>>>> from PIL import Image
>>>> Image.VERSION
> '1.1.5'
>>>> import wx
>>>> wx.__version__
> '2.8.7.1'
> 
> By greping for "Sorry you platform", I found config.py and there
> (abbreviated) the following function:
> 
> def check_config_paths(config_paths):
>     if config_paths: return config_paths
>     p   = sys.prefix
>     if sys.platform[:5] == 'linux':
>         return {
>             "PHATCH_IMAGE_PATH" : 
>         ...
>         }
>     else:
>         sys.stderr.write('Sorry your platform is not yet supported.\n')
>         sys.exit()
> 
> How is this supposed to work on Windows?
> 
RTFM: the web site instructions clearly state that setup.py doesn't 
currently work with Windows. You should be able to double-click on the 
program in Explorer, or use any of the standard ways of creating a link 
shortcut.

regards
  Steve

-- 
Steve Holden        +1 571 484 6266   +1 800 494 3119
Holden Web LLC              http://www.holdenweb.com/




More information about the Python-list mailing list